import type { Metadata } from 'next'
import { ResolvedMetadata } from 'next/types'
// eslint-disable-next-line @typescript-eslint/no-unused-expressions
;() => {
  ;({
    'apple-touch-fullscreen': undefined,
    'apple-touch-icon-precomposed': undefined,
    metadataBase: undefined,
    title: undefined,
    description: undefined,
    applicationName: undefined,
    authors: undefined,
    generator: undefined,
    keywords: undefined,
    referrer: undefined,
    themeColor: undefined,
    colorScheme: undefined,
    viewport: undefined,
    creator: undefined,
    publisher: undefined,
    robots: undefined,
    alternates: undefined,
    icons: undefined,
    manifest: undefined,
    openGraph: undefined,
    twitter: undefined,
    facebook: undefined,
    verification: undefined,
    appleWebApp: undefined,
    formatDetection: undefined,
    itunes: undefined,
    abstract: undefined,
    appLinks: undefined,
    archives: undefined,
    assets: undefined,
    bookmarks: undefined,
    category: undefined,
    classification: undefined,
    other: undefined,
  }) satisfies Metadata
  ;({
    authors: {
      url: undefined,
      name: undefined,
    },
    themeColor: {
      color: '',
      media: undefined,
    },
    viewport: {
      width: undefined,
      height: undefined,
      initialScale: undefined,
      minimumScale: undefined,
      maximumScale: undefined,
      userScalable: undefined,
      viewportFit: undefined,
      interactiveWidget: undefined,
    },
    robots: {
      googleBot: undefined,

      index: undefined,
      follow: undefined,

      noindex: undefined,
      nofollow: undefined,

      noarchive: undefined,
      nosnippet: undefined,
      noimageindex: undefined,
      nocache: undefined,
      notranslate: undefined,
      indexifembedded: undefined,
      nositelinkssearchbox: undefined,
      unavailable_after: undefined,
      'max-video-preview': undefined,
      'max-image-preview': undefined,
      'max-snippet': undefined,
    },
    alternates: {
      canonical: undefined,
      languages: undefined,
      media: undefined,
      types: undefined,
    },
    icons: {
      icon: undefined,
      shortcut: undefined,
      apple: undefined,
      other: {
        url: '',
        type: undefined,
        sizes: undefined,
        color: undefined,
        rel: undefined,
        media: undefined,
        fetchPriority: undefined,
      },
    },
    verification: {
      google: undefined,
      yahoo: undefined,
      yandex: undefined,
      me: undefined,
      other: undefined,
    },
    formatDetection: {
      telephone: undefined,
      date: undefined,
      address: undefined,
      email: undefined,
      url: undefined,
    },
    itunes: {
      appId: '',
      appArgument: undefined,
    },
  }) satisfies Metadata
  ;({
    canonical: {
      title: undefined,
      url: '',
    },
  }) satisfies Metadata['alternates']
  ;({
    type: 'website',
    determiner: undefined,
    title: undefined,
    description: undefined,
    emails: undefined,
    phoneNumbers: undefined,
    faxNumbers: undefined,
    siteName: undefined,
    locale: undefined,
    alternateLocale: undefined,
    images: undefined,
    audio: undefined,
    videos: undefined,
    url: undefined,
    countryName: undefined,
    ttl: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    images: {
      url: '',
      secureUrl: undefined,
      alt: undefined,
      type: undefined,
      width: undefined,
      height: undefined,
    },
    audio: {
      url: '',
      secureUrl: undefined,
      type: undefined,
    },
    videos: {
      url: '',
      secureUrl: undefined,
      type: undefined,
      width: undefined,
      height: undefined,
    },
  }) satisfies Metadata['openGraph']
  ;({
    type: 'article',
    publishedTime: undefined,
    modifiedTime: undefined,
    expirationTime: undefined,
    authors: undefined,
    section: undefined,
    tags: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'book',
    isbn: undefined,
    releaseDate: undefined,
    authors: undefined,
    tags: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'profile',
    firstName: undefined,
    lastName: undefined,
    username: undefined,
    gender: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'music.song',
    duration: undefined,
    albums: undefined,
    musicians: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'music.song',
    albums: {
      url: '',
      disc: undefined,
      track: undefined,
    },
  }) satisfies Metadata['openGraph']
  ;({
    type: 'music.album',
    songs: undefined,
    musicians: undefined,
    releaseDate: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'music.album',
    songs: {
      url: '',
      disc: undefined,
      track: undefined,
    },
  }) satisfies Metadata['openGraph']
  ;({
    type: 'music.playlist',
    songs: undefined,
    creators: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'music.radio_station',
    creators: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'video.movie',
    actors: undefined,
    directors: undefined,
    writers: undefined,
    duration: undefined,
    releaseDate: undefined,
    tags: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    type: 'video.movie',
    actors: {
      url: '',
      role: undefined,
    },
  }) satisfies Metadata['openGraph']
  ;({
    type: 'video.episode',
    actors: undefined,
    directors: undefined,
    writers: undefined,
    duration: undefined,
    releaseDate: undefined,
    tags: undefined,
    series: undefined,
  }) satisfies Metadata['openGraph']
  ;({
    card: 'app',
    site: undefined,
    siteId: undefined,
    creator: undefined,
    creatorId: undefined,
    description: undefined,
    title: undefined,
    images: undefined,
    app: {
      id: {},
      url: undefined,
      name: undefined,
    },
  }) satisfies Metadata['twitter']
  ;({
    card: 'app',
    images: {
      url: '',
      alt: undefined,
      secureUrl: undefined,
      type: undefined,
      width: undefined,
      height: undefined,
    },
    app: {
      id: {
        iphone: undefined,
        ipad: undefined,
        googleplay: undefined,
      },
      url: {
        iphone: undefined,
        ipad: undefined,
        googleplay: undefined,
      },
    },
  }) satisfies Metadata['twitter']
  ;({
    appId: '',
    admins: undefined,
  }) satisfies Metadata['facebook']
  ;({
    appId: undefined,
    admins: '',
  }) satisfies Metadata['facebook']
  ;({
    capable: undefined,
    title: undefined,
    startupImage: undefined,
    statusBarStyle: undefined,
  }) satisfies Metadata['appleWebApp']
  ;({
    startupImage: {
      url: '',
      media: undefined,
    },
  }) satisfies Metadata['appleWebApp']
  ;({
    ios: undefined,
    iphone: undefined,
    ipad: undefined,
    android: undefined,
    windows_phone: undefined,
    windows: undefined,
    windows_universal: undefined,
    web: undefined,
  }) satisfies Metadata['appLinks']
  ;({
    ios: {
      url: '',
      app_store_id: undefined,
      app_name: undefined,
    },
    android: {
      package: '',
      url: undefined,
      class: undefined,
      app_name: undefined,
    },
    windows_phone: {
      url: '',
      app_id: undefined,
      app_name: undefined,
    },
    web: {
      url: '',
      should_fallback: undefined,
    },
  }) satisfies Metadata['appLinks']
  ;({
    icon: [],
    apple: [],
    shortcut: undefined,
    other: undefined,
  }) satisfies ResolvedMetadata['icons']
  ;({
    determiner: undefined,
    title: { template: null, absolute: '' },
    description: undefined,
    emails: undefined,
    phoneNumbers: undefined,
    faxNumbers: undefined,
    siteName: undefined,
    locale: undefined,
    alternateLocale: undefined,
    images: undefined,
    audio: undefined,
    videos: undefined,
    url: null,
    countryName: undefined,
    ttl: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'article',
    publishedTime: undefined,
    modifiedTime: undefined,
    expirationTime: undefined,
    authors: undefined,
    section: undefined,
    tags: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'book',
    isbn: undefined,
    releaseDate: undefined,
    authors: undefined,
    tags: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'book',
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'profile',
    firstName: undefined,
    lastName: undefined,
    username: undefined,
    gender: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'music.song',
    duration: undefined,
    albums: undefined,
    musicians: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'music.album',
    songs: undefined,
    musicians: undefined,
    releaseDate: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'music.playlist',
    songs: undefined,
    creators: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'music.radio_station',
    creators: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'video.movie',
    actors: undefined,
    directors: undefined,
    writers: undefined,
    duration: undefined,
    releaseDate: undefined,
    tags: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    title: { template: null, absolute: '' },
    url: null,
    type: 'video.episode',
    actors: undefined,
    directors: undefined,
    writers: undefined,
    duration: undefined,
    releaseDate: undefined,
    tags: undefined,
    series: undefined,
  }) satisfies ResolvedMetadata['openGraph']
  ;({
    card: 'summary',
    site: null,
    siteId: null,
    creator: null,
    creatorId: null,
    description: null,
    title: { template: null, absolute: '' },
    images: undefined,
  }) satisfies ResolvedMetadata['twitter']
  ;({
    card: 'summary',
    site: null,
    siteId: null,
    creator: null,
    creatorId: null,
    description: null,
    title: { template: null, absolute: '' },
    images: [
      {
        url: '',
        alt: undefined,
        secureUrl: undefined,
        type: undefined,
        width: undefined,
        height: undefined,
      },
    ],
  }) satisfies ResolvedMetadata['twitter']
  ;({
    appId: undefined,
    admins: undefined,
  }) satisfies ResolvedMetadata['facebook']
  ;({
    google: undefined,
    yahoo: undefined,
    yandex: undefined,
    me: undefined,
    other: undefined,
  }) satisfies ResolvedMetadata['verification']
  ;({
    capable: false,
    title: undefined,
    startupImage: undefined,
    statusBarStyle: undefined,
  }) satisfies ResolvedMetadata['appleWebApp']
  ;({
    ios: undefined,
    iphone: undefined,
    ipad: undefined,
    android: undefined,
    windows_phone: undefined,
    windows: undefined,
    windows_universal: undefined,
    web: undefined,
  }) satisfies ResolvedMetadata['appLinks']
}
